<div class="row">
    <div class="col-6">
        <label>Bundle Name:</label>
        <input class="form-control" type="text" [(ngModel)]="bundle.bundleName">
    </div>
</div>
<p>&nbsp;</p>
<div class="row">
    <div class="col-12">
        <table class="table table-hover">
            <thead>
                <tr>
                    <th>Seating Class</th>
                    <th>PPA Price</th>
                    <th>PPV Price</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let mapings of bundle.seatingClassPriceMappings; let i = index;">
                    <td style="width:20%">
                        <select class="form-control" [(ngModel)]="mapings.seatingClassId">
                            <option *ngFor="let seatingClass of seatingClasses" [ngValue]="seatingClass.seatingClassInternalId">{{seatingClass.name}}</option>
                        </select>
                    </td>
                    <td style="width:20%">
                        <input class="form-control" type="text" [(ngModel)]="mapings.ppa">
                    </td>
                    <td style="width:20%">
                        <input class="form-control" type="text" [(ngModel)]="mapings.ppv">
                    </td>
                    <td width="1%" class="removeForm" (click)="removeSeatingClassPriceMappings(i)"><i class="fa fa-minus-circle fa-2x color-red" aria-hidden="true"></i></td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
<div class="row" style="text-align: right">
    <div class="col-12">
        <button type="text" class="btn btn-add" (click)="addSeatingClassPriceMappings()">Add Seating Class</button>
    </div>
</div>
<div class=" row btn-group">
    <div class="col-12 ">
        <button class="btn btn-default" (click)="goBack()">Back</button>
        <button class="btn btn-primary" (click)="updateBundle(bundle?.bundleId)">Save</button>
    </div>
</div>
